/* acapd.h -*- C++ -*- global acapd declarations
 * Rob Earhart
 * $Id: acap.h,v 1.4 1998/02/18 21:16:29 rob Exp $
 */
/***********************************************************
        Copyright 1997 by Carnegie Mellon University

                      All Rights Reserved

Permission to use, copy, modify, and distribute this software and its
documentation for any purpose and without fee is hereby granted,
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in
supporting documentation, and that the name of CMU not be
used in advertising or publicity pertaining to distribution of the
software without specific, written prior permission.

CMU DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
CMU BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
SOFTWARE.
******************************************************************/

#ifndef ACAP_ACAP_H
#define ACAP_ACAP_H

#include <fstream.h>
#include <pthread.h>
#include "util.h"
#include "grab.h"
#include "msg.h"
#include "ptr.h"

class ACAP {
public:
  static int Init(int argc, char **argv);
  static ACAP *Instance() { return instance; }
  ~ACAP();
  void Shutdown() const;
private:
  ACAP(const char *path);	// no one gets to construct this...
  static Ptr<ACAP> instance;
};

#endif // ACAP_ACAP_H
